Name:     mate-clear-recent
Version:  0.1.0
Release:  %mkrel 1

Summary:  Clear Recent Documents
URL:      http://www.pclinuxos.com/
Source:   %{name}-%{version}.tar.xz
License:  WTFP
Group:    Graphical desktop/Mate
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
BuildRequires: make
Requires: yad  
Requires: mate-icon-theme 
Requires: mate-desktop
Requires: gtkdialog


%description
Automated app to clear history list in recently viewed documents

%prep
%setup -q

%build

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

#menu
desktop-file-install --vendor="" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR


%files 
%defattr(-,root,root)
%doc LICENCE README.md ChangeLog 
%{_bindir}/clear-recent
%_datadir/applications/*.desktop
%{_datadir}/clear-recent
%{_datadir}/icons/hicolor/48x48/apps/*.png

%changelog
* Sun May 14 2017 adrianomorselli <adrianomorselli> 0.1.0-1uplos2017
- imported for uplos
